import { IsArray, IsObject } from "class-validator";

export interface IFile {
    name: string,
    data: Buffer,
    size: Number,
    encoding: string,
    tempFilePath: string,
    truncated: Boolean,
    mimetype: string,
    md5: string,
}

interface ICadFileModel {
    freecad: IFile;
}

export class CadFilesModel implements ICadFileModel {
    @IsObject()
    public freecad: IFile;
}


