import requests
import FreeCAD as App
from helper.fs import FS
from scenarios.robossembler_freecad_export_scenario import RobossemblerFreeCadExportScenario
import shutil
import os
import FreeCADGui as Gui


def main():
    env = FS.readJSON('./env.json')
    App.openDocument(env.get('doc'))
    RobossemblerFreeCadExportScenario().call(env.get('out'))
    # requests.post(url=env.get('resultURL'),  files={'zip': open(env.get('out') + '/' + 'generation.zip', "rb"), 'id':env.get('projectId')})
    # os.remove('./generation.zip')
    App.closeDocument(App.ActiveDocument.Name)
    freecadQTWindow  = Gui.getMainWindow()
    freecadQTWindow.close()
main()
