## Утилиты разного назначения для Blender

**apply_transforms.py** - запекание локальных координат

**cleanup_orphan_data.py** - очистка от неиспользуемых данных

**remove_collections.py** - удаление заданной, либо всех коллекций сцены

**shininess_to_roughness.py** - преобразование значения материала shiny в значения материала roughness

**sdf_mesh_selector.py** - выбор 3д ассетов из объектов сцены Freecad по описанию SDF


## blender_render_settings

Сценарий настроек редактора Blender для уменьшения времени рендеринга.

### Тесты

Тестовая сцена
[blender_render_settings.blend](img/blender_render_settings.blend)

Сценарий работает в 3х режимах оптимизации:
- small
- medium
- large

Время тестовой сцены по умолчанию - 32 сек.
![](img/blender_render_settings_default.jpg "Время тестовой сцены по умолчанию")

Время тестовой сцены в режиме `small` - 13 сек.
![](img/blender_render_settings_small.jpg "Время тестовой сцены в режиме small")

Время тестовой сцены в режиме `medium` - 10 сек.
![](img/blender_render_settings_medium.jpg "Время тестовой сцены в режиме medium")

Время тестовой сцены в режиме `large` - 4 сек.
![](img/blender_render_settings_large.jpg "Время тестовой сцены в режиме large")

### Применение

Сценарий применяется для конфигурации Blender сцены непосредственно **перед** процессом рендеринга

