(define (domain fabrication)
 
(:requirements :strips :typing :fluents :durative-actions)
(:types 
    endmill workspace - zone 
    part 
    arm 
    assembly 
    human 
)
   (:predicates
       (endmill_is_ready endmill task observer)
       (part_at ?p - part ?z - zone)
       (endmill_ready ?p - printer)
       (endmill_checked ?p - printer)
       (endmill_at_work ?p - printer)
       (assembly_order ?prev ?next - assembly)
       (assembled ?whole - assembly ?z - zone)
       (observer_free ?h - human)
   )
   (:functions
       )
(:action predpreparing
    :parameters ()
    :condition (and 
       (not endmill_is_ready) 
  )
    :effect (and 
       (endmill_is_ready) 
)
  )
(:durative-action PartDesignExample_Profile_TC: Default Tool
    :parameters ( )
       :duration ( = ?duration 157)
    :condition (and 
       (endmill_is_ready) 
  )
    :effect (and 
)
  )
(:durative-action PartDesignExample_Pocket3D_TC: Default Tool
    :parameters ( )
       :duration ( = ?duration 170)
    :condition (and 
       (endmill_is_ready) 
  )
    :effect (and 
)
  )
(:durative-action PartDesignExample_MillFace_TC: Default Tool
    :parameters ( )
       :duration ( = ?duration 79)
    :condition (and 
       (endmill_is_ready) 
  )
    :effect (and 
)
  )
 )
