(define (domain fabrication)
 
(:requirements :strips :typing :fluents :durative-actions)
(:types 
    ['endmill workspace - zone', 'part', 'arm', 'assembly', 'human', ''] 
)
   (:predicates
       (endmill_is_ready endmill task observer)
       (part_at [?p - part ?z - zone])
       (endmill_ready ?p - printer)
       (endmill_checked ?p - printer)
       (endmill_at_work ?p - printer)
       (assembly_order ?prev ?next - assembly)
       (assembled ?whole - assembly ?z - zone)
       (observer_free ?h - human)
   )
   (:functions
       )
(:action predpreparing
    :parameters ()
    :condition (and 
       (not endmill_is_ready) 
  )
    :effect (and 
       (endmill_is_ready) 
)
  )
(:durative-action PartDesignExample_TC: Default Tool
    :parameters ( )
       :duration ( = ?duration 00:02:37)
    :condition (and 
       (endmill_is_ready) 
  )
    :effect (and 
)
  )
(:durative-action PartDesignExample_TC: Default Tool
    :parameters ( )
       :duration ( = ?duration 00:02:50)
    :condition (and 
       (endmill_is_ready) 
  )
    :effect (and 
)
  )
(:durative-action PartDesignExample_TC: Default Tool
    :parameters ( )
       :duration ( = ?duration 00:01:18)
    :condition (and 
       (endmill_is_ready) 
  )
    :effect (and 
)
  )
(:durative-action PartDesignExample_TC: Default Tool
    :parameters ( )
       :duration ( = ?duration 00:02:37)
    :condition (and 
       (endmill_is_ready) 
  )
    :effect (and 
)
  )
(:durative-action PartDesignExample_TC: Default Tool
    :parameters ( )
       :duration ( = ?duration 00:02:50)
    :condition (and 
       (endmill_is_ready) 
  )
    :effect (and 
)
  )
(:durative-action PartDesignExample_TC: Default Tool
    :parameters ( )
       :duration ( = ?duration 00:01:18)
    :condition (and 
       (endmill_is_ready) 
  )
    :effect (and 
)
  )
 )
