# Модуль "Path2pddl"

Модуль используется с целью генерации domain-файла pddl на базе созданных в верстаке Path технологических операций. 
Инженер-технолог, используя верстак, генерирует объекты операций, описывающие процесс создания детали из заготовки. Возможности верстака позволяют описывать работу большинства 2.5D-станков, а так же - 3d-печати (не реализовано в полной мере).

Для работы необходимо указать ссылки на CAD-модели используемых в сцене инструментов и деталей. Если они были импортированы корректно, то модуль создаст domain-файл. При этом, он будет содержать большое количество индивидуальных операций для каждой детали и станка, у каждой из которых будет своя длительность и свои предусловия, параметры и эффекты.

Главный недостаток модуля на данный момент - отсутствие автоматической генерации предусловий. Это приводит к тому, что операции необходимо незначительно модернизировать, указывая их вручную. Автоматическое создание предусловий видится довольно сложной задачей, требующей учесть много возможных вариантов, так что, вероятно, будет добавлен позднее.