(define (problem p1)
(:domain robossembler)
(:objects
	;; information from Scene
	rasmt - arm
	printer1 printer2 printer3 - printer
	workspace1 - workspace
	worker - human
	filament1 filament2 filament3 - filament
	;; information from CAD
	pad009003002002 pad009003002003 pad009003002005 pad009003002011 fusion004003 o_2_a001 o_2_m001 o_3_m001 o_3_a001 pad009003002008 fusion005 o_4_m001 o_5_m001 o_5_a001 o_4_a001 fusion006 r_a001 r_m001 r_l001 synfix synfix001 fusion fusion001 synfix002 fusion002 synfix003 fusion007 pad009003002012 pad001 pocket pad002 fusion008 fusion009 bearing_dgsr_6006_001 bearing_dgsr_6006_002 bearing_dgsr_6006_003 bearing_dgsr_6005_ bearing_dgsr_6005_001 bearing_dgsr_6005_002 bearing_dgsr_6005_003 bearing_dgsr_6005_004 pad003 pocket001 - part
	subasm00 subasm0 subasm1 subasm2 subasm3 subasm4 subasm5 subasm6 subasm7 subasm8 subasm9 subasm10 subasm11 subasm12 subasm13 subasm14 subasm15 subasm16 subasm17 subasm18 subasm19 subasm20 subasm21 subasm22 subasm23 subasm24 subasm25 subasm26 subasm27 subasm28 subasm29 subasm30 subasm31 subasm32 subasm33 subasm34 subasm35 subasm36 subasm37 subasm38 subasm39 subasm40 subasm41 subasm42 - assembly
)
(:init
	;; information from Scene

	(observer_free worker)
	; (not(printer_ready printer1))

	; (printer_ready printer2)
	; (printer_ready printer3)
	(filament_at filament1 workspace1)
	(filament_at filament2 workspace1)
	(filament_at filament3 workspace1)


	(arm_available rasmt)
	;; information from CAD
	(assembled subasm00 workspace1)




(part_of pad009003002002 subasm0)
    (part_of pad009003002003 subasm1)
    (part_of pad009003002005 subasm2)
    (part_of pad009003002011 subasm3)
    (part_of fusion004003 subasm4)
    (part_of o_2_a001 subasm5)
    (part_of o_2_m001 subasm6)
    (part_of o_3_m001 subasm7)
    (part_of o_3_a001 subasm8)
    (part_of pad009003002008 subasm9)
    (part_of fusion005 subasm10)
    (part_of o_4_m001 subasm11)
    (part_of o_5_m001 subasm12)
    (part_of o_5_a001 subasm13)
    (part_of o_4_a001 subasm14)
    (part_of fusion006 subasm15)
    (part_of r_a001 subasm16)
    (part_of r_m001 subasm17)
    (part_of r_l001 subasm18)
    (part_of synfix subasm19)
    (part_of synfix001 subasm20)
    (part_of fusion subasm21)
    (part_of fusion001 subasm22)
    (part_of synfix002 subasm23)
    (part_of fusion002 subasm24)
    (part_of synfix003 subasm25)
    (part_of fusion007 subasm26)
    (part_of pad009003002012 subasm27)
    (part_of pad001 subasm28)
    (part_of pocket subasm29)
    (part_of pad002 subasm30)
    (part_of fusion008 subasm31)
    (part_of fusion009 subasm32)
    (part_of bearing_dgsr_6006_001 subasm33)
    (part_of bearing_dgsr_6006_002 subasm34)
    (part_of bearing_dgsr_6006_003 subasm35)
    (part_of bearing_dgsr_6005_ subasm36)
    (part_of bearing_dgsr_6005_001 subasm37)
    (part_of bearing_dgsr_6005_002 subasm38)
    (part_of bearing_dgsr_6005_003 subasm39)
    (part_of bearing_dgsr_6005_004 subasm40)
    (part_of pad003 subasm41)
    (part_of pocket001 subasm42)

	(assembly_order subasm00 subasm0)
    (assembly_order subasm0 subasm1)
    (assembly_order subasm1 subasm2)
    (assembly_order subasm2 subasm3)
    (assembly_order subasm3 subasm4)
    (assembly_order subasm4 subasm5)
    (assembly_order subasm5 subasm6)
    (assembly_order subasm6 subasm7)
    (assembly_order subasm7 subasm8)
    (assembly_order subasm8 subasm9)
    (assembly_order subasm9 subasm10)
    (assembly_order subasm10 subasm11)
    (assembly_order subasm11 subasm12)
    (assembly_order subasm12 subasm13)
    (assembly_order subasm13 subasm14)
    (assembly_order subasm14 subasm15)
    (assembly_order subasm15 subasm16)
    (assembly_order subasm16 subasm17)
    (assembly_order subasm17 subasm18)
    (assembly_order subasm18 subasm19)
    (assembly_order subasm19 subasm20)
    (assembly_order subasm20 subasm21)
    (assembly_order subasm21 subasm22)
    (assembly_order subasm22 subasm23)
    (assembly_order subasm23 subasm24)
    (assembly_order subasm24 subasm25)
    (assembly_order subasm25 subasm26)
    (assembly_order subasm26 subasm27)
    (assembly_order subasm27 subasm28)
    (assembly_order subasm28 subasm29)
    (assembly_order subasm29 subasm30)
    (assembly_order subasm30 subasm31)
    (assembly_order subasm31 subasm32)
    (assembly_order subasm32 subasm33)
    (assembly_order subasm33 subasm34)
    (assembly_order subasm34 subasm35)
    (assembly_order subasm35 subasm36)
    (assembly_order subasm36 subasm37)
    (assembly_order subasm37 subasm38)
    (assembly_order subasm38 subasm39)
    (assembly_order subasm39 subasm40)
    (assembly_order subasm40 subasm41)
    (assembly_order subasm41 subasm42)
)
(:goal (and
	;; information from CAD
	(assembled subasm42 workspace1)
	)
)
)
