import os
import FreeCADGui as Gui
import FreeCAD as App
from gui.init_gui import StabilityWorkbench
import json


def importObjAtPath(path: str):
    import importOBJ
    importOBJ.insert(u"" + path, App.ActiveDocument.Label)

    pass


def getFullPathObj(assemblyFolder: str, name: str):
    return assemblyFolder + 'sdf/meshes/' + name + '.obj'


def main():
    App.newDocument()
    #TODO(Mark): 1. Добавить парсер файлов пути генерации. Нужно определить неразмеченные детали и импортировать объекты, которые соответствуют неразмеченным деталям
    #2. Добавить процедуру экспорта информации о разметке 
    #3. 
    Gui.SendMsgToActiveView("ViewSelection")

    Gui.addWorkbench(StabilityWorkbench(''))
    Gui.activateWorkbench("StabilityWorkbench")


main()
